| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
RowCol Class Reference
Basic

IdxPair used for its row() and col().
More...

`#include <rowcol.h>`

Inheritance diagram for RowCol:
[legend]

## Public Member Functions
| RowCol ()
| RowCol (const RowCol &)
| RowCol (int r, int c)
| RowCol (Pos::IdxPair)
| ~RowCol ()
float | angleTo (const RowCol &) const
float | clockwiseAngleTo (const RowCol &rc) const
float | counterClockwiseAngleTo (const RowCol &) const
bool | fromString (const char *)
RowCol | getDirection () const
RowCol | operator* (const RowCol &) const
RowCol | operator* (int) const
const RowCol & | operator*= (const RowCol &)
const RowCol & | operator*= (int)
RowCol | operator+ () const
RowCol | operator+ (const RowCol &) const
const RowCol & | operator+= (const RowCol &)
RowCol | operator- () const
RowCol | operator- (const RowCol &) const
const RowCol & | operator-= (const RowCol &)
RowCol | operator/ (const RowCol &) const
RowCol | operator/ (int) const
const RowCol & | operator/= (const RowCol &)
RowCol & | operator= (const RowCol &)
int | toInt32 () const
const char * | toString (bool onlycol=false) const
Public Member Functions inherited from Pos::IdxPair
| IdxPair ()
| IdxPair (const Pos::IdxPair &)
| IdxPair (IdxType _first, IdxType _second)
| ~IdxPair ()
IdxType & | col ()
IdxType | col () const
bool | isNeighborTo (const IdxPair &, const IdxPairStep &, bool conn8=true) const
bool | operator!= (const IdxPair &oth) const
bool | operator< (const IdxPair &oth) const
IdxPair & | operator= (const IdxPair &)
bool | operator== (const IdxPair &) const
bool | operator> (const IdxPair &oth) const
IdxType & | row ()
IdxType | row () const
od_int64 | sqDistTo (const IdxPair &) const
od_int64 | toInt64 () const
Public Member Functions inherited from IdxPair
| IdxPair ()
| IdxPair (IdxType, IdxType)
| ~IdxPair ()
const char * | getUsrStr (const char *prefx, const char *sep, const char *postfx, bool only2nd) const
bool | isUdf () const
bool | operator!= (const IdxPair &oth) const
bool | operator== (const IdxPair &) const
od_int32 & | operator[] (int idx)
od_int32 | operator[] (int idx) const
bool | parseUsrStr (const char *str, const char *prefx, const char *sep, const char *postfx)
void | setUdf ()

## Static Public Member Functions
static const TypeSet< RowCol > & | clockWiseSequence ()
static RowCol | fromInt32 (int)
static RowCol | fromInt64 (od_int64)
Static Public Member Functions inherited from Pos::IdxPair
static IdxPair | fromInt64 (od_int64)
static const IdxPair & | udf ()
Static Public Member Functions inherited from IdxPair
static const IdxPair & | udf ()

## Additional Inherited Members
Public Types inherited from IdxPair
using | IdxType = Index_Type

## Detailed Description

IdxPair used for its row() and col().

<>

## Constructor & Destructor Documentation

## ◆ RowCol() [1/4]

RowCol::RowCol | ( |  | ) |

## ◆ RowCol() [2/4]

RowCol::RowCol | ( | int | r,
|  | int | c )

## ◆ RowCol() [3/4]

RowCol::RowCol | ( | const RowCol & |  | ) |

## ◆ RowCol() [4/4]

RowCol::RowCol | ( | Pos::IdxPair |  | ) |

## ◆ ~RowCol()

RowCol::~RowCol | ( |  | ) |

## Member Function Documentation

## ◆ angleTo()

float RowCol::angleTo | ( | const RowCol & |  | ) | const

Returns
  the smallest angle between the vector going from 0,0 to the object and the vector going from 0,0 to rc.

## ◆ clockwiseAngleTo()

float RowCol::clockwiseAngleTo | ( | const RowCol & | rc | ) | const

Returns
  the angle between the vector going from 0,0 to the object and the vector going from 0,0 to rc in the clockwise direction.

## ◆ clockWiseSequence()

static const TypeSet< RowCol > & RowCol::clockWiseSequence | ( |  | ) |
| static

## ◆ counterClockwiseAngleTo()

float RowCol::counterClockwiseAngleTo | ( | const RowCol & |  | ) | const

Returns
  the angle between the vector going from 0,0 to the object and the vector going from 0,0 to rc in the counterclockwise direction.

## ◆ fromInt32()

RowCol RowCol::fromInt32 | ( | int | ll | ) |
| inline static

## ◆ fromInt64()

RowCol RowCol::fromInt64 | ( | od_int64 | i64 | ) |
| inline static

## ◆ fromString()

bool RowCol::fromString | ( | const char * | str | ) |
| inline

## ◆ getDirection()

RowCol RowCol::getDirection | ( |  | ) | const

Returns
  a rowcol where row/col are either -1, 0 or 1 where depending on if row/col of the object is negative, zero or positive.

## ◆ operator*() [1/2]

RowCol RowCol::operator* | ( | const RowCol & | rc | ) | const
| inline

## ◆ operator*() [2/2]

RowCol RowCol::operator* | ( | int | factor | ) | const
| inline

## ◆ operator*=() [1/2]

const RowCol & RowCol::operator*= | ( | const RowCol & | rc | ) |
| inline

## ◆ operator*=() [2/2]

const RowCol & RowCol::operator*= | ( | int | factor | ) |
| inline

## ◆ operator+() [1/2]

RowCol RowCol::operator+ | ( |  | ) | const
| inline

## ◆ operator+() [2/2]

RowCol RowCol::operator+ | ( | const RowCol & | rc | ) | const
| inline

## ◆ operator+=()

const RowCol & RowCol::operator+= | ( | const RowCol & | rc | ) |
| inline

## ◆ operator-() [1/2]

RowCol RowCol::operator- | ( |  | ) | const
| inline

## ◆ operator-() [2/2]

RowCol RowCol::operator- | ( | const RowCol & | rc | ) | const
| inline

## ◆ operator-=()

const RowCol & RowCol::operator-= | ( | const RowCol & | rc | ) |
| inline

## ◆ operator/() [1/2]

RowCol RowCol::operator/ | ( | const RowCol & | rc | ) | const
| inline

## ◆ operator/() [2/2]

RowCol RowCol::operator/ | ( | int | denominator | ) | const
| inline

## ◆ operator/=()

const RowCol & RowCol::operator/= | ( | const RowCol & | rc | ) |
| inline

## ◆ operator=()

RowCol & RowCol::operator= | ( | const RowCol & | rc | ) |
| inline

## ◆ toInt32()

int RowCol::toInt32 | ( |  | ) | const
| inline

## ◆ toString()

const char * RowCol::toString | ( | bool | onlycol = false | ) | const
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025